commit:     89decf31a4c1055df9abfee09242092f6a7eb22e
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Sat Sep  9 12:29:32 2017 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Sat Sep  9 12:30:15 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=89decf31

x11-misc/dunst: Drop gtk+ dep for 1.1.0. Respect CC. Fix some compiler warnings.

Package-Manager: Portage-2.3.8, Repoman-2.3.3

 x11-misc/dunst/dunst-1.1.0.ebuild | 45 ++++++++++++++++++++++-----------------
 x11-misc/dunst/dunst-1.2.0.ebuild | 22 +++++++++----------
 2 files changed, 36 insertions(+), 31 deletions(-)

diff --git a/x11-misc/dunst/dunst-1.1.0.ebuild 
b/x11-misc/dunst/dunst-1.1.0.ebuild
index 01fcda42db9..1ce9d2c4edb 100644
--- a/x11-misc/dunst/dunst-1.1.0.ebuild
+++ b/x11-misc/dunst/dunst-1.1.0.ebuild
@@ -1,9 +1,8 @@
 # Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
-
-inherit eutils
+EAPI=6
+inherit toolchain-funcs
 
 DESCRIPTION="customizable and lightweight notification-daemon"
 HOMEPAGE="http://www.knopwob.org/dunst/";
@@ -20,33 +19,41 @@ CDEPEND="
        sys-apps/dbus
        x11-libs/cairo[X,glib]
        x11-libs/gdk-pixbuf
-       x11-libs/gtk+:2=
        x11-libs/libXScrnSaver
        x11-libs/libXft
        x11-libs/libXinerama
        x11-libs/pango[X]
        dunstify? ( x11-libs/libnotify )
 "
-
-DEPEND="${CDEPEND}
-               dev-lang/perl
-               virtual/pkgconfig"
-
+DEPEND="
+       ${CDEPEND}
+       dev-lang/perl
+       virtual/pkgconfig
+"
 RDEPEND="${CDEPEND}"
 
 src_prepare() {
-       # Remove nasty CFLAGS which override user choice
-       sed -ie "/^CFLAGS/ {
-               s:-g::
-               s:-O.::
-       }" config.mk || die "sed failed"
+       sed -i \
+               -e '/^CFLAGS/ { s:-g::; s:-O.:: }' \
+               -e '/^CPPFLAGS/ s:-D_BSD_SOURCE:-D_DEFAULT_SOURCE:' \
+               config.mk || die
 
-       if use dunstify; then
-               # add dunstify to the all target
-               sed -ie "/^all:/ s:$: dunstify:" Makefile || die "sed failed"
-       fi
+       sed -i \
+               -e 's:registration_id > 0:(&):' \
+               dbus.c || die
+
+       sed -i \
+               -e '/g_print.*iter->data/ s:iter->data:(char *)&:' \
+               dunstify.c || die
+
+       default
+}
+
+src_compile() {
+       tc-export CC
+       emake V=
 
-       epatch_user
+       use dunstify && emake V= dunstify
 }
 
 src_install() {

diff --git a/x11-misc/dunst/dunst-1.2.0.ebuild 
b/x11-misc/dunst/dunst-1.2.0.ebuild
index ebbb3c591cb..40b3555454b 100644
--- a/x11-misc/dunst/dunst-1.2.0.ebuild
+++ b/x11-misc/dunst/dunst-1.2.0.ebuild
@@ -2,7 +2,7 @@
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
-inherit eutils
+inherit toolchain-funcs
 
 DESCRIPTION="customizable and lightweight notification-daemon"
 HOMEPAGE="http://www.knopwob.org/dunst/ https://github.com/dunst-project/dunst";
@@ -35,23 +35,21 @@ DEPEND="
 RDEPEND="${CDEPEND}"
 
 src_prepare() {
-       default
-
-       # Remove nasty CFLAGS which override user choice
        sed -i -e "/^CFLAGS/ { s:-g::;s:-O.:: }" config.mk || die
 
-       if use dunstify; then
-               # add dunstify to the all target
-               sed -i -e "/^all:/ s:$: dunstify:" Makefile || die
-       fi
+       default
+}
+
+src_compile() {
+       tc-export CC
+       emake
+       use dunstify && emake dunstify
 }
 
 src_install() {
-       emake DESTDIR="${D}" PREFIX="/usr" install
+       default
 
-       if use dunstify; then
-               dobin dunstify
-       fi
+       dunstify && dobin dunstify
 
        dodoc AUTHORS CHANGELOG.md README.md RELEASE_NOTES
 }

Reply via email to